Name:           scim-qtimm
Version:        0.9.4
Release: 2%{?dist}.1.1
Summary:        SCIM input method module for Qt

License:	GPL
Group:		System/Libraries
URL:		http://www.scim-im.org/projects/scim_qtimm
Source0:	%{name}-%{version}.tar.bz2
Source1:	xinput-scim-qt
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	qt-devel, scim-devel
Obsoletes:	iiimf-qt <= 12.2

%description
SCIM input method module for Qt


%prep
%setup -q

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# install xinput config file.
mkdir -pm 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/X11/xinit/xinput.d
install -pm 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/X11/xinit/xinput.d/scim-qtimm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/X11/xinit/xinput.d/scim-qtimm
%exclude %{_libdir}/qt-*/plugins/inputmethods/libqscim.la
%{_libdir}/qt-*/plugins/inputmethods/libqscim.so


%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9.4-2.1.1
- bump again for double-long bug on ppc(64)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 14 2005 Jens Petersen <petersen@redhat.com> - 0.9.4-2
- add obsoletes iiimf-qt for upgrades (#173071)

* Wed Aug 17 2005 Jens Petersen <petersen@redhat.com> - 0.9.4-1
- update to 0.9.4

* Sat Aug  6 2005 Jens Petersen <petersen@redhat.com> - 0.9.3-1
- initial build for Fedora Core
- update summary and url
- add xinput.d script for scim one to source

* Fri Aug  5 2005 Warren Togami <wtogami@redhat.com>
- 0.9.3
- cleanup according to Fedora guidelines

* Thu Jul 17 2004 LiuCougar <liuspider@users.sourceforge.net> 0.5-0.r10.1
- update the version

* Thu Jul 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.3
- spec for official scim-qtimm

* Mon Jul 12 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.2ut
- fix URL
- remove Conflicts

* Tue Jul 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.1-0.r03.1mdk
- fix buildrequires
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
